Subject: Re: [PATCH] [POWERPC] Uniformly use memstart_addr variable as the start address of physical memory in powerpc branch

From: Andrew Liu <[email-masked]>
Date: Wed, 21 May 2008 11:22:18 +0900

Kumar Gala wrote:
> 
> On May 20, 2008, at 8:38 PM, Andrew Liu wrote:
> 
>> [POWERPC]: Uniformly use memstart_addr as the start address of RAM
>>
>> The variable: memstart_addr whose initial value is got from dts file
>> is used as the start address of physical memory in PowerPC ARCH,
>> although it is used in functions: mapin_ram(pgtable_32.c) and
>> cam_mapin_ram(fsl_booke_mmu.c), however, in function: mmu_mapin_ram
>> (ppc_mmu_32.c), use 0 as the start address of physical memory, so
>> it is necessary to unify them: in mmu_mapin_ram, use memstart_addr
>> as the start address of physical memory, instead of 0.
>>
>> Signed-off-by: Andrew Liu <[email-masked]>
>> ---
> 
> Do you have a case where this is non-zero for ppc_mmu_32?  I left these 
> alone because I wasn't aware of one (or if its reasonable).
> 

No.
I submitted this patch just because in ppc branch, PPC_MEMSTART is used as 
the start address of physical memory uniformly, however, in powerpc branch, 
use memstart_addr and 0, although, almost for all boards which are in powerpc,
they are equal, from the aspect of code consistency, I think it is necessary to
unify them.

You know we can't make sure in future the start address of all incoming 
boards' RAM is 0, especially, in AMP system, different cpu uses the different RAM area, 
definitely, the start address of some is not 0.

BRs,
Andrew

> - k